Skip to main content
GET
Retrieves a bill of materials by its ID.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

x-companyid
string

The Company-Id (int or uuid) of the company on whose behalf the request is executed.

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

Path Parameters

id
string<uuid>
required
Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

Response

A bill of materials for a production item. It defines which operations must be performed and which components are required to produce the production item.

id
string<uuid>
required

The ID of this bill of materials.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

productionItemId
string<uuid>
required

The ID of the production item of this bill of materials.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

version
integer<int32>
required

The version of this bill of materials.

name
string
required

The name of this production bill of materials.

state
enum<integer>
required

The status of this production bill of materials.

Available options:
0,
1,
2,
3,
4,
99
createDate
string<date-time>
required

The timestamp when this bill of materials was created.

producibleStock
number<decimal>
required

The last calculated producible stock.

componentPostingsShelfLifeEndDateRequirements
enum<integer>
required

Specifies requirements for the production input of all components of this bill of materials regarding the shelf life end dates of the stock accounts to be debited. This specification can be overridden for individual components of this bill of materials.

Available options:
0,
1
componentPostingsBatchNumberRequirements
enum<integer>
required

Specifies requirements for the production input of all components of this bill of materials regarding the batch numbers of the stock accounts to be debited. This specification can be overridden for individual components of this bill of materials.

Available options:
0,
1
description
string

The description of this production bill of materials.

updateDate
string<date-time>

The timestamp when this bill of materials was last modified, or NULL if this bill of materials has not been modified yet.

updateUserId
string<uuid>

The ID of the user who last modified this bill of materials, or NULL if this bill of materials has not been modified yet.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

activationDate
string<date-time>

The timestamp when this bill of materials was activated, or NULL if this bill of materials has not been activated yet.

producibleStockCalculationDate
string<date-time>

The timestamp when the producible stock was last calculated, or NULL if it has not been calculated yet.

shelfLifeEndDateGenerationMode
enum<integer>

Indicates how the shelf life end date of a product is calculated after completing a lot.

Available options:
0,
1,
2
additionalShelfLifeEndDateTime
string<duration>

A time span that is added when calculating the shelf life end date of a product after completing a lot.